Bug Hunting Session
Bug 104096 - INDIRECT accepts trailing characters after a range without error
Summary: INDIRECT accepts trailing characters after a range without error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL: https://ask.libreoffice.org/en/questi...
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-21 21:23 UTC by Eike Rathke
Modified: 2016-11-23 12:45 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2016-11-21 21:23:31 UTC
In A1 enter =INDIRECT("B1:B2~C1") and the result is 0 instead of #REF! error.
Comment 1 Commit Notification 2016-11-21 21:56:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8846cc2218091aa2af8ee3aadd81fd8a80e3b303

Resolves: tdf#104096 reset also rRawRes if trailing characters are present

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2016-11-21 22:00:21 UTC
Pending review https://gerrit.libreoffice.org/31058 for 5-2
Comment 3 Commit Notification 2016-11-22 00:07:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1034343b4a8fe5b540d07029cd97bba7208c9b5

unit test for tdf#104096, ScRange::Parse() with trailing characters

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-11-23 12:45:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a346bfaa4492fa53bf8cd21677d7880a86bbb811&h=libreoffice-5-2

Resolves: tdf#104096 reset also rRawRes if trailing characters are present

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.